@echo off
setlocal ENABLEEXTENSIONS EnableDelayedExpansion

REM $Id: standalone.bat 8889 2016-03-11 15:48:34Z hstrauss $
REM
REM Copyright (c) IMACS GmbH, Germany. All rights reserved.

REM default path is ..\..\standalone
SET TARGET=..\..\standalone
IF /t==%1 SET TARGET=%2
REM option \t can also be the second argument
IF /t==%2 SET TARGET=%3

REM run the script
echo ===== COPY OF GLOBAL STANDALONE FILES =====
CALL "%osdl_sys%\ctr_lib\arg_batches\standalone_global" %TARGET% >NUL 2>NUL
echo ...done

REM Execute project specific picture copy script
echo ===== COPY OF PROJECT PICTURES =====
CALL standalone_prj_picts.bat %TARGET% >NUL 2>NUL
echo ...done

REM Execute customer specific scripts.
echo ===== COPY OF PROJECT SPECIFIC FILES =====
IF EXIST standalone_prj.bat CALL standalone_prj %TARGET%
IF EXIST kunde_prj.bat CALL kunde_prj %TARGET%
echo ...done

echo ===== COPY OF DLLS =====
CALL "%osdl_sys%\ctr_lib\arg_batches\standalone_dll.bat" %TARGET%
echo ...done

ECHO The generation of the standalone simulation has been finished.
endlocal
