//
// $Id: makros.h 8983 2016-05-02 05:49:49Z hstrauss $
//
// Copyright (c) IMACS GmbH Germany. All rights reserved.
//

#ifndef ___makros_h___
#define ___makros_h___

#define	NORMAL_		1
#define	HTML_PAGE_	2
#define	OVERVIEW_	3

#ifndef ___CTR___
#define NORMAL		(_RdDokuMode == NORMAL_)	// normaler Ablauf
#define HTML_PAGE	(_RdDokuMode == HTML_PAGE_)	// Erzeugung der Surface-CTR masken
#define OVERVIEW	(_RdDokuMode == OVERVIEW_)	// Erzeugung des HMI-bersicht
#define ACTIONTRIGGERED(def, key) ((key == ((def).taste)) || HTML_PAGE || OVERVIEW )

extern short _RdDokuMode;

void overview(EMB_HMI *screen, RD_char *modulname, short surnr);
void overview2(EMB_HMI *screen, RD_char *modulname);

void writeOpenErlaeuterung(EMB_HMI *screen,RD_char *modulname, short surnr);
void writeOpenErlaeuterung2(EMB_HMI *screen,RD_char *modulname);

void writeErlaeuterung(EMB_HMI *screen,char *atext, RD_char *elname, long wert);
void writeErlaeuterung3(EMB_HMI *screen,const wchar_t *atext, const wchar_t *elname);
void writeErlaeuterung2(EMB_HMI *screen,const wchar_t *atext);
#else
// Bei der Steuerung gibt es die Variable _RdDokuMode nicht, daher die Makros so
// definieren, dass sie bei boolschen Variablen den Normalbetrieb anzeigen
#define NORMAL 1
#define HTML_PAGE 0
#define OVERVIEW 0
#define ACTIONTRIGGERED(def, key) (key == ((def).taste))
#endif

#define SAVEACTSCREEN    	memcpy(&(surfaceStack[G_ActSurStack-1].screen), (void*) screen, sizeof(EMB_HMI))
#define RESTOREACTSCREEN    memcpy(screen, (void*) &(surfaceStack[G_ActSurStack-1].screen), sizeof(EMB_HMI))

#if NO_EMB_HMI == 0
#if ((RD_LAYER != 0) || ((RD_NO_DISPLAYCOMM == 0) && (RD_DISPCMD_COMMUNICATION != 0)))
	#define SETLAYER(layer) c_dis_layer1(M_SCR_K layer)
#else
	#define SETLAYER(layer)
#endif
#endif

#ifndef PTR_2_ADR
#define PTR_2_ADR(ptr) ((long)ptr)
#endif

#endif
