#ifndef ___doktabline_h___
#define ___doktabline_h___

#define LEN_NAME_MAX_SIM	150
#define MAX_ELNAME_NUM		10
#define AddQueue(root, obj, w) w = &(root); while (*w != NULL) w = &((*w)->next); *w = (obj);

class DokTabs;
extern short foundMenu;

#include "..\..\ctr_lib\inc\emb_hmi.h"


//*** Achtung: nur fr das includieren in die plugin.dll
#ifdef PLAN42PLUGIN_H

typedef wchar_t RD_char;

class CModul;
#endif

class DokTabLine
{
	string	bildverweis;
	#if RD_UNICODESETTING == 1
		wstring fileN;
	#else
		string fileN;
	#endif
public:
	DokTabLine	*next, *parentDtl;
	short	htmlnr, pagenr;
	short	lev;
	short	werte[MAX_ELNAME_NUM];
	short	found;
	//*** Titel ist der Seitenname in der DokTab
	#if RD_UNICODESETTING == 1
		wstring	titel;
		wstring	titel_in_doklang;
	#else
		string	titel;
		string	titel_in_doklang;
	#endif
	short	myBaumtiefe, myBaumbreite, Pfeilrechts, isMenu, subMaskNr;
	//*** falls angesprungene maske schon weiter oben von einer anderen maske angesprungen wurde
	bool	pfeil_mehrfach;

	DokTabLine();
	DokTabLine(short pnr, short html, RD_char *t, short *w);
	~DokTabLine()
	{
		if (next != NULL) delete next;
	}
	void setlevel(void);
	short gethtmlnr(void)
	{
		return(htmlnr);
	}
	void setParentDTL(DokTabLine *parent);
	short getpagenr(void)
	{
		return(pagenr);
	}
	void getmenuname(EMB_HMI *screen, RD_char *mn);
	void getmenuname(EMB_HMI *screen, RD_char *mn, CModul *mod, short snr);
	short getval(short nr)
	{
		if (nr < MAX_ELNAME_NUM)
			return(werte[nr]);
		else
			return(0);
	}
	DokTabLine* SearchPage(EMB_HMI *screen,DokTabs *dtbs, short *htmln, RD_char *tit);
	DokTabLine* SearchStartPage(short *htmln, RD_char *tit);
	DokTabLine* GetFirstPage(short *htmln, RD_char *tit);
	void getDTL(short *htmlnr, short *pagenr, RD_char *titel, char *werte);
	void exporthtml(CModul *mod, DokTabs *dts, char *tit);
	void exporthtmlpage(EMB_HMI *screen,short InstanceNr);
	void exporthtmloverview(EMB_HMI *screen,bool f_line);
	void writeToOverview(EMB_HMI *screen,CModul *mod, bool f_line, short surnr = 0, short verweis = 0);
	void prepareHtmlFile(EMB_HMI *screen,CModul *mod, short InstanceNr, short surnr = 0);
	void closeHtmlFile(char *imagestring);
	void makeoverview(short *level);
	void parse_menunames(EMB_HMI *screen,RD_char *surname);
	void endoverview(short *level);
	void makefilename(EMB_HMI *screen, RD_char *fname,CModul *mod,short surnr);
	DokTabLine* isBildverweis(short xpos, short ypos);
	string getBildverweis(void);
	XPTR visObjIdx;
	DokTabLine* pSurfDTL;
	short	paswLevel; // ist passwortlevel mit dem diese Surface geoeffnet werden kann
};

DokTabLine* SearchStartPage(RD_char *modn, short surnr, short *htmlnr, RD_char *titel);

#endif