//
// $Id: SIM.cpp 2074 2009-09-23 08:23:01Z hstrauss $
//
// Copyright (c) IMACS GmbH Germany. All rights reserved.
//
// ErrorHandling to prevent Common crashes from Runtime-Kernel-Errors
//

#ifndef ___ERRORHANDLING_H___
#define ___ERRORHANDLING_H___

#include <string>

// Structure for relation between error numbers and desired reaction
struct errorHandlingEntry
{
    short   errorNo;    // error number
    bool    attrib;     // true if attribute has to be mentioned in errorMessage
    bool    critical;   // true if error will cause simulation to crash
    std::string  errorMsg;   // String containing the error Message (%ld as placeholder for attrib)
};

#endif // ___ERRORHANDLING_H___