@echo off

rem $Id: copy_arg_batches.bat 8889 2016-03-11 15:48:34Z hstrauss $
rem
rem Copyright (c) IMACS GmbH Germany. All rights reserved.
rem

rem workaround for makectr.bat which overwrites itself and after that
rem generates errors in further run

rem When the state isn't defined this batch is called from the old makectr.bat
rem else it is called by the update makectr.bat
if not defined RD_MAKECTR_STATE (
	goto makectr
) else (
	goto batches
)

:makectr
echo ===== REPLACE MAKECTR.BAT =====
rem When called from old makectr.bat overwrite it and call the updated version again
copy "%OSDL_SYS%\ctr_Lib\arg_batches\makectr.bat"  >NUL 2>NUL
rem Let the called batches know, the updated version is called
set RD_MAKECTR_STATE=1
echo    ... done
call makectr.bat
rem Delete the variable so everything called from the old makectr.bat afterwards
rem will ignore the call
set RD_MAKECTR_STATE=
goto end

:batches
echo ===== COPY OF BATCHFILES =====

rem
rem copy files to the development directory
rem

copy "%OSDL_SYS%\ctr_Lib\arg_batches\compile_sim.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\visual.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\simulate.bat" >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\rebuild_sim.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\o_copy.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\dokument.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\comp_des.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\copy_verz.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\kunde.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\standalone.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\copy_mot.bat"  >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\webvisu_create.bat" >NUL 2>NUL
copy "%OSDL_SYS%\ctr_Lib\arg_batches\webvisu_start.bat" >NUL 2>NUL

echo    ... done
:end
