//*** druckt alle 256 Zeichen in 16 Zeilen auf den Bildschirn
//*** Dieses kann in einer DOS-Box unter Windows gestartet werden
//*** und dann ein BMP per Hard-Copy erzeugt werden
//*** Dieses BMP kann zur Generierung von Font verwendet werden

#include <stdio.h>



void main(int, char **);


void main(int num, char **arg)
{
	int x,y;
	
	printf("\n\nACHTUNG:\n");
	printf("- liefert nur beim Start in DOS-Box unter WIN-NT die richtigen Zeichen\n");	
	printf("- linker Block ist ANSI-Windows (rechter Block nur zur Zeichenuebersicht)\n");	

	printf("\n");	
	printf("    0123456789ABCDEF   0123456789ABCDEF\n");	
	printf("\n");	
	for(y=0; y<16; y++)
	{
		printf("%02Xh ", 16*y);	
		for (x=0; x<16; x++)
		{
			int c,c1;
			
			c = convert((16*y) + x);
			
			if ((c != 7) && (c != 8) && (c != 9) && (c != 10) && (c != 13))
			{
				printf("%c", c);	
			}
			else
			{
				printf("%c", '-');	
			}
		}	

		printf("   ");	

		for (x=0; x<16; x++)
		{
			int c;
			
			c = (16*y) + x;
			if ((c != 7) && (c != 8) && (c != 9) && (c != 10) && (c != 13))
			{
				printf("%c", c);	
			}
			else
			{
				printf("%c", '-');	
			}
		}	
		printf("\n");	
	}
	printf("\n");	
}






//*** Konvertierung vom Windows-Dos-Box Zeichensatz in einen Windows-Zeichensatz 
int convert(int c)
{
	int ret;
	

	if (c >= 128)
	{
		switch(c)
		{
			//case 0xA0: ret = 0x0f8; break;	//  	
			//case 0xA1: ret = 0x0f1; break;	//  	
			//case 0xA2: ret = 0x0fd; break;	//  	
			case 0xA3: ret = 0x09C; break;	//  	
			case 0xA4: ret = 0x0CF;   break;	//  	
			case 0xA5: ret = 0x0BE; break;	//  	
			case 0xA6: ret = 0x07C; break;	//  	
			case 0xA7: ret = 0x015; break;	//  	
			case 0xA8: ret = 0x0F9; break;	//  	
			case 0xA9: ret = 0x0B8; break;	//  	
			case 0xAB: ret = 0x0AE; break;	//  	
			case 0xAC: ret = 0x0AA; break;	//  	
			case 0xAD: ret = 0x0F0; break;	//  	
			case 0xAE: ret = 0x0A9; break;	//  	
			case 0xAF: ret = 0X0EE;	break;	// 	

			case 0xB0: ret = 0x0f8; break;	//  	
			case 0xB1: ret = 0x0f1; break;	//  	
			case 0xB2: ret = 0x0fD; break;	// ^2 	
			case 0xB3: ret = 0x0fC; break;	// ^3 	
			case 0xB4: ret = 0x0EF; break;	//  	
			case 0xB5: ret = 0x0E6; break;	//  	
			case 0xB6: ret = 0x0F4; break;	//  	
			case 0xB7: ret = 0x0FA; break;	//  	
			case 0xB8: ret = 0x0F7; break;	//  	
			case 0xB9: ret = 0x0FB; break;	//  	
			case 0xBA: ret = 0x0A7; break;	//  	
			case 0xBB: ret = 0x0AF; break;	//  	
			case 0xBC: ret = 0x0AC; break;	//  	
			case 0xBD: ret = 0x0AB; break;	//  	
			case 0xBE: ret = 0x0F3; break;	//  	
//			case 0xBF: ret = 0; 	break;	//  	

			case 0xC0: ret = 0x0B7; break;	//  	
			case 0xC1: ret = 0x0B5; break;	// 	
			case 0xC2: ret = 0x0B6; break;	//  	
			case 0xC3: ret = 0x0C6; break;	//  	
			case 0xC4: ret = 0x08E; break;	//  	
			case 0xC5: ret = 0x08F; break;	// 	
			case 0xC6: ret = 0x092; break;	//  	
			case 0xC7: ret = 0x080; break;	//  	
			case 0xC8: ret = 0x0D4; break;	//  	
			case 0xC9: ret = 0x090; break;	// 	
			case 0xCA: ret = 0x0d2; break;	//  	
			case 0xCB: ret = 0x0d3; break;	//  	
			case 0xCC: ret = 0x0DE; break;	
			case 0xCD: ret = 0x0d6; break;	// 
			case 0xCE: ret = 0x0d7; break;	// 	
			case 0xCF: ret = 0x0d8; break;	//  	

			case 0xD0: ret = 0x0D1; break;	//  	
			case 0xD1: ret = 0x0A5; break;	// 	
			case 0xD2: ret = 0x0E3; break;	//  	
			case 0xD3: ret = 0x0E0; break;	//  	
			case 0xD4: ret = 0x0E2; break;	//  	
			case 0xD5: ret = 0x0E5; break;	// 	
			case 0xD6: ret = 0x099; break;	//  	
			case 0xD7: ret = 0x09E; break;	//  	
			case 0xD8: ret = 0x09D; break;	//  	
			case 0xD9: ret = 0x0EB; break;	// 	
			case 0xDA: ret = 0x0E9; break;	//  	
			case 0xDB: ret = 0x0EA; break;	//  	
			case 0xDC: ret = 0x09A; break;	// 
			case 0xDD: ret = 0x0ED; break;	// 
			case 0xDE: ret = 0x0E7; break;	// 	
			case 0xDF: ret = 0x0E1; break;	//  	

			case 0xE0: ret = 0x085; break;	//  	
			case 0xE1: ret = 0x0A0; break;	// 	
			case 0xE2: ret = 0x083; break;	//  	
			case 0xE3: ret = 0x0C6; break;	//  	
			case 0xE4: ret = 0x084; break;	//  	
			case 0xE5: ret = 0x086; break;	// 	
			case 0xE6: ret = 0x091; break;	//  	
			case 0xE7: ret = 0x087; break;	//  	
			case 0xE8: ret = 0x08A; break;	//  	
			case 0xE9: ret = 0x082; break;	// 	
			case 0xEA: ret = 0x088; break;	//  	
			case 0xEB: ret = 0x089; break;	//  	
			case 0xEC: ret = 0x08D; break;	// 
			case 0xED: ret = 0x0A1; break;	// 
			case 0xEE: ret = 0x08C; break;	// 	
			case 0xEF: ret = 0x08B; break;	//  	

			case 0xF0: ret = 0x0D0; break;	//  	
			case 0xF1: ret = 0x0A4; break;	// 	
			case 0xF2: ret = 0x095; break;	//  	
			case 0xF3: ret = 0x0A2; break;	//  	
			case 0xF4: ret = 0x093; break;	//  	
			case 0xF5: ret = 0x0E4; break;	// 	
			case 0xF6: ret = 0x094; break;	//  	
			case 0xF7: ret = 0x0F6; break;	//  	
			case 0xF8: ret = 0x09B; break;	//  	
			case 0xF9: ret = 0x097; break;	// 	
			case 0xFA: ret = 0x0A3; break;	//  	
			case 0xFB: ret = 0x096; break;	//  	
			case 0xFC: ret = 0x081; break;	// 
			case 0xFD: ret = 0x0EC; break;	// 
			case 0xFE: ret = 0x0E8; break;	// 	
			case 0xFF: ret = 0x098; break;	//  	

			default: ret = 0x0CF; break; 	
		}	
		
					
	}
	else ret = c;
	
	return(ret);	
}




